Subject: [Sip] INVITEs and re-INVITEs

From: "Nikichine, Alexis" <[email-masked]>
Date: Fri, 13 Sep 2002 18:03:01 +0200

Hello,

RFC 3261 says, in session 14.2 

"Section 13.3.1 describes the procedure for distinguishing incoming re-INVITEs from incoming initial INVITEs "

but all I can read in section 13.3.1 on that topic is

"If the request is a mid-dialog request, the method-independent processing described in Section 12.2.2 is first applied."

Now I wonder if there is a way to statelessly distinguish a INVITE from a re-INVITE ?

Any answer appreciated,

Alexis Nikichine
_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: "Srivastava, Samir" <[email-masked]>
Date: Fri, 13 Sep 2002 11:26:58 -0700

Hi,

INVITE will not have to Tag. re-INVITE MUST have the to tag. 

This applies if UA's are RFC 3261 compliant, not the old ones.

Thx
Samir

-----Original Message-----
From: Nikichine, Alexis [mailto:[email-masked]]
Sent: Friday, September 13, 2002 9:03 AM
To: [email-masked]
Subject: [Sip] INVITEs and re-INVITEs

Hello,

"Section 13.3.1 describes the procedure for distinguishing incoming
re-INVITEs from incoming initial INVITEs "

"If the request is a mid-dialog request, the method-independent processing
described in Section 12.2.2 is first applied."

Now I wonder if there is a way to statelessly distinguish a INVITE from a
re-INVITE ?

Any answer appreciated,

Alexis Nikichine